gnutls_ocsp_req_set_extension(3)

NAME
gnutls_ocsp_req_set_extension - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_set_extension(gnutls_ocsp_req_t req, const char * oid, unsigned int critical, const gnutls_datum_t * data);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t structure

const char * oid
    buffer with OID of extension as a string.

unsigned int critical
    critical flag, normally false.

const gnutls_datum_t * data
    the extension data

DESCRIPTION
This function will add an extension to the OCSP request. Calling this function multiple times for the same OID will overwrite values from earlier calls.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/